apiVersion: v1
kind: Namespace
metadata:
  name: rhacs-operator-system
---
apiVersion: v1
kind: ServiceAccount
metadata:
  name: rhacs-operator-installer
  namespace: rhacs-operator-system
---
apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRoleBinding
metadata:
  name: rhacs-operator-installer-binding
roleRef:
  apiGroup: rbac.authorization.k8s.io
  kind: ClusterRole
  name: cluster-admin
subjects:
- kind: ServiceAccount
  name: rhacs-operator-installer
  namespace: rhacs-operator-system
---
apiVersion: olm.operatorframework.io/v1
kind: ClusterExtension
metadata:
  name: rhacs-operator
spec:
  namespace: rhacs-operator-system
  serviceAccount:
    name: rhacs-operator-installer
  source:
    sourceType: Catalog
    catalog:
      packageName: rhacs-operator
      channels:
      - rhacs-4.7
